#include <stdlib.h>
#include "MoolBBang.h"

MoolBBang::MoolBBang(char *name)
	: MuckBBang(name)
{
	nCup = 0;
}


MoolBBang::~MoolBBang(void)
{
}

void MoolBBang::eatAppetizer()
{
	MuckBBang::eatAppetizer();
	nCup = nCup + 1; 
	printf("에피타이저로 물 한잔 마시고, ");
}

void MoolBBang::eatEntree(int n)
{
	printf("본격적으로 물을 %d잔 마신 후, ",n);
	nCup = nCup + n;
}

void MoolBBang::eatDessert()
{
	printf("디저트로 물 두잔 마신 다음 ");
	MuckBBang::eatDessert();
}

int MoolBBang::howManyDoYouWant()
{
	int n = (int)rand();

	return n % 5;
}

void MoolBBang::print()
{
	printf("물빵인 %s는 몸무게가 %d그램이고 물을 %d잔 마셨읍니다.\n",id,weight,nCup);
}